curl --request PUT \
--url https://api.qovery.com/agenticWorkflow/{agenticWorkflowId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "",
"webhook_ip_allowlist": [],
"docker_fragment": "",
"enabled": true,
"mcp": "",
"outputs": [],
"project_repositories": [],
"agent_prompt": ""
}
'import requests
url = "https://api.qovery.com/agenticWorkflow/{agenticWorkflowId}"
payload = {
"name": "<string>",
"description": "",
"webhook_ip_allowlist": [],
"docker_fragment": "",
"enabled": True,
"mcp": "",
"outputs": [],
"project_repositories": [],
"agent_prompt": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '',
webhook_ip_allowlist: [],
docker_fragment: '',
enabled: true,
mcp: '',
outputs: [],
project_repositories: [],
agent_prompt: ''
})
};
fetch('https://api.qovery.com/agenticWorkflow/{agenticWorkflowId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"webhook_ip_allowlist": [
"<string>"
],
"docker_fragment": "<string>",
"enabled": true,
"mcp": "<string>",
"outputs": [
{
"name": "<string>",
"url": "<string>",
"headers": [],
"instructions": ""
}
],
"model": {
"settings": "<string>"
},
"project_repositories": [
{
"url": "<string>",
"branch": "<string>",
"git_token_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"agent_prompt": "<string>",
"governance": {
"host_allowlist": []
},
"webhook": {
"url": "<string>"
},
"updated_at": "2023-11-07T05:31:56Z"
}Edit an agentic workflow
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Body
name is case insensitive
CIDR ranges the incoming webhook request's source IP is checked against
Raw JSON blob describing the MCP servers configured for this workflow
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Edit agentic workflow
name is case insensitive
CIDR ranges the incoming webhook request's source IP is checked against
Raw JSON blob describing the MCP servers configured for this workflow
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?